Bug 505679 - [PATCH] Primary video card detection interacts badly with IsolateDevice
[PATCH] Primary video card detection interacts badly with IsolateDevice
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: MoveUpstream, Patch, Triaged
: 468943 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 17:31 EDT by Wayne Whitney
Modified: 2015-02-18 06:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:59:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix primary video card detection when IsolateDevice is set (683 bytes, text/plain)
2009-06-12 17:31 EDT, Wayne Whitney
no flags Details

  None (edit)
Description Wayne Whitney 2009-06-12 17:31:32 EDT
Created attachment 347672 [details]
Patch to fix primary video card detection when IsolateDevice is set

I am using Fedora 11 with xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64.

In the source file xserver/hw/xfree86/common/xf86pciBus.c, the function xf86PciProbe() attempts to discover the video cards in the system and determine which one is the primary (boot) video card.  Part of the logic is "if there is only one valid card, it must be primary".  However, the functionality of the IsolateDevice config and commandline options is to hide all but one card from xf86PciProbe().  The result is that whenever IsolateDevice is used, the card specified is marked as primary even if it is not the boot card.

I've attached a small patch to change the logic to "if there is only one valid card, and IsolateDevice is not specified, then it must be primary."  This solves a problem for me with a dual seat Fedora 11 setup using dual radeon HD cards.  The radeonhd driver looks for its copy of the video BIOS in different places depending on whether the card is primary or secondary.  So without this patch, when X is run with IsolateDevice on the secondary card, radeonhd looks for the video BIOS in the wrong place, causing failure.

The attached patch, xserver-1.6.1-primary2.patch, depends on being applied after fedora's rewrite of the primary card detection logic, xserver-1.6.0-primary.patch, which is already part of the xorg-x11-server SRPM.  So perhaps they should be integrated.
Comment 1 Wayne Whitney 2009-09-06 12:36:20 EDT
*** Bug 468943 has been marked as a duplicate of this bug. ***
Comment 2 Matěj Cepl 2009-11-05 13:31:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Wayne Whitney 2009-11-06 01:23:18 EST
OK, I downloaded the latest Fedora LiveCD, desktop-x86_64-20091104.16.iso.  The problem is still present; when using IsolateDevice on the secondary card, the xorg server incorrectly marks the card as a primary card.  This confuses at least the radeonhd driver, which I use.  So my patch is still required.

Yours, Wayne
Comment 4 Vedran Miletić 2009-11-06 03:36:58 EST
Matej, who can look into implementing this patch then?
Comment 5 Bug Zapper 2009-11-16 05:10:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-04-03 15:58:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 16:39:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 06:59:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.